org.apache.xmlbeans.impl.xb.xsdschema

## Interface NotationDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    NotationDocumentImpl

      public interface NotationDocument
      extends XmlObject

  A document containing one notation(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NotationDocument.Notation` An XML notation(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<NotationDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotationDocument.Notation` | `addNewNotation()` Appends and returns a new empty "notation" element
    `NotationDocument.Notation` | `getNotation()` Gets the "notation" element
    `void` | `setNotation(NotationDocument.Notation notation)` Sets the "notation" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<NotationDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getNotation

          NotationDocument.Notation getNotation()

      Gets the "notation" element

    - #### setNotation

          void setNotation(NotationDocument.Notation notation)

      Sets the "notation" element

    - #### addNewNotation

          NotationDocument.Notation addNewNotation()

      Appends and returns a new empty "notation" element